C
C    Copyright (C) 2009 Anders Aspegren Søndergaard <andersas@gmail.com>
C    -------------------------------------------------------------------

C    This file is part of Wavlib.

C    Wavlib is free software: you can redistribute it and/or modify
C    it under the terms of the GNU General Public License as published by
C    the Free Software Foundation, either version 3 of the License, or
C    (at your option) any later version.

C    Wavlib is distributed in the hope that it will be useful,
C    but WITHOUT ANY WARRANTY; without even the implied warranty of
C    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C    GNU General Public License for more details.

C    You should have received a copy of the GNU General Public License
C    along with Wavlib. If not, see <http://www.gnu.org/licenses/>.


C      Dumps all samples of a wavfile to standard output
C      in two columns: first is time (in seconds)
C      and the last is the sample (in [-1:1])

       PROGRAM DUMP
      
        IMPLICIT NONE 
        INTEGER OPENW,WAVERR,WAVIFO
        INTEGER FLAF, I
        INTEGER SRATE
        REAL TRACK(1,1)
        INTEGER C(1)
        INTEGER READW

        FLAF = OPENW(10,'test.wav')
        IF (FLAF .EQ. 0) THEN
C               Dump track 1 to strout
                SRATE = WAVIFO(10, 'Samplerate')
                C(1) = 1
                DO 10 I = 1, WAVIFO(10,'Samples')
                   IF(READW(10, 1, C, I, 1, TRACK) .GT. 0) THEN
                        WRITE(*,*) REAL(I)/REAL(SRATE), TRACK(1,1)
                   ENDIF
  10            CONTINUE
        ELSE
                WRITE(*,*) 'Other file found.'
                WRITE(*,*) 'OPENWAV:', FLAF
                WRITE(*,*) 'IOS:', WAVERR()
        ENDIF

        CALL CLOSEW(10)

      STOP
      END

