C
C    Copyright (C) 2009 Anders Aspegren Søndergaard <andersas@gmail.com>
C    -------------------------------------------------------------------

C    This file is part of Wavlib.

C    Wavlib is free software: you can redistribute it and/or modify
C    it under the terms of the GNU General Public License as published by
C    the Free Software Foundation, either version 3 of the License, or
C    (at your option) any later version.

C    Wavlib is distributed in the hope that it will be useful,
C    but WITHOUT ANY WARRANTY; without even the implied warranty of
C    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C    GNU General Public License for more details.

C    You should have received a copy of the GNU General Public License
C    along with Wavlib. If not, see <http://www.gnu.org/licenses/>.


C     Write a buffer to file
      SUBROUTINE COMMIT(N)
        INTEGER N, U, RECRD
        INTEGER I, LAST
        INCLUDE "../../common/wav.f"

        U = RECORD(1,N)
        RECRD = RECORD(2,N)

C       The file length can be lower than
C       the last position of the record we're about to write,
C       or the file length could suddently have changed.
        LAST = DESCR(DESLEN,U) - BUFLEN*(RECRD-1)

        IF (LAST .GT. BUFLEN) THEN
                LAST = BUFLEN
        ENDIF

C       Write to file
        IF (LAST .GT. 0) THEN
         WRITE(UNIT=U,REC=RECRD) (BUF(I,N), I=1,LAST)
C        Tell CLOSEW that the file was written to.
         FILEWR(U) = .TRUE.
        ENDIF

        DIRTY(N) = .FALSE.

        RETURN
      END
