C
C    Copyright (C) 2009 Anders Aspegren Søndergaard <andersas@gmail.com>
C    -------------------------------------------------------------------

C    This file is part of Wavlib.

C    Wavlib is free software: you can redistribute it and/or modify
C    it under the terms of the GNU General Public License as published by
C    the Free Software Foundation, either version 3 of the License, or
C    (at your option) any later version.

C    Wavlib is distributed in the hope that it will be useful,
C    but WITHOUT ANY WARRANTY; without even the implied warranty of
C    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C    GNU General Public License for more details.

C    You should have received a copy of the GNU General Public License
C    along with Wavlib. If not, see <http://www.gnu.org/licenses/>.


C     Find the buffer containing record RECRD
C     of file unit U, or 0 if no buffer contains
C     that record.
      INTEGER FUNCTION FNDBUF(U,RECRD)
        IMPLICIT NONE
        INTEGER U,RECRD
        INTEGER I
        INCLUDE "../../common/wav.f"

C       Loop over the buffers, and return if the sought buffer is found
        DO 10 I = 1, NBUFS
               IF (RECORD(1,I) .EQ. U .AND. RECORD(2,I) .EQ. RECRD) THEN
                       FNDBUF = I
                       RETURN
               ENDIF
   10   CONTINUE

C       No buffer found, return 0:
        FNDBUF = 0
        RETURN
      END

