C
C    Copyright (C) 2009 Anders Aspegren Søndergaard <andersas@gmail.com>
C    -------------------------------------------------------------------

C    This file is part of Wavlib.

C    Wavlib is free software: you can redistribute it and/or modify
C    it under the terms of the GNU General Public License as published by
C    the Free Software Foundation, either version 3 of the License, or
C    (at your option) any later version.

C    Wavlib is distributed in the hope that it will be useful,
C    but WITHOUT ANY WARRANTY; without even the implied warranty of
C    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C    GNU General Public License for more details.

C    You should have received a copy of the GNU General Public License
C    along with Wavlib. If not, see <http://www.gnu.org/licenses/>.


C     Set N byte integer in file U at index POS, encoded in little endian
C     N must not be larger than the implementation length
C     of the INTEGER type.
      
      SUBROUTINE SETINT(NUM, U,POS,N)
        INTEGER NUM, U, POS, N, I
C       Buffer, assuming integer type is 16 or fewer bytes long.
        CHARACTER TEMP(16)
        INCLUDE "../../common/wav.f"

        DO 10 I = 0, N-1
               TEMP(I+1) = CHAR(AND(255, ISHFT(NUM,-I*8)))
   10   CONTINUE

        CALL SETSTR(TEMP, U, POS,N)

        RETURN
      END
